Subject: Re: [RFC] apparently bogus logics in unix_find_other() since 2002

From: Al Viro <[email-masked]>
Date: Mon, 11 Feb 2019 03:19:49 +0000

On Sun, Feb 10, 2019 at 04:24:15AM +0000, Al Viro wrote:
> 
> Looks like that should be impossible; what am I missing here?  Incidentally,
> how can the quoted fragment in in unix_stream_connect() be reached with NULL
> otheru->addr?  After all, otheru is unix_sock of a listener; how could
> we possibly have found it if it had NULL ->addr?
> 
> Confused...

BTW, speaking of interesting corner cases in AF_UNIX: am I right assuming that
identical abstract names with different protocols are considered entirely
independent?  Where is that thing (== abstract namespace) documented, anyway?